Skip to main content
POST
/
experiments
/
{id}
/
snapshot
cURL
curl -X POST https://api.growthbook.io/api/v1/experiments/exp_1234/snapshot \
  -d '{"triggeredBy":"schedule"}' \
  -u secret_abc123DEF456:
{
  "snapshot": {
    "id": "<string>",
    "experiment": "<string>",
    "status": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Path Parameters

id
string
required

The experiment id of the experiment to update

Body

application/json
triggeredBy
enum<string>

Set to "schedule" if you want this request to trigger notifications and other events as it if were a scheduled update. Defaults to manual.

Available options:
manual,
schedule

Response

200 - application/json

Success

snapshot
object
required